/*===================================
		Copyright Yakibomb
*///=================================

/*
	Description
	- Entity swaps teams for the duration.
	- Works on all entities.
*/

function vsconds_swapteam(entity) {
	local oldteam = entity.GetTeam();
	local newteam = oldteam == 2 ? 3 : 2;
	local newskin = newteam == 2 ? 0 : 1;
	
	if ( entity.GetClassname() == "player" )
		entity.ForceChangeTeam(newteam, true);
	else 
		entity.SetTeam(newteam);
	
	if ( HasProp(entity, "m_nSkin") ) entity.SetSkin(newskin);
	
//Collects child ents parented on entity
	local child_list = VSCONDS_CollectChildOnParent(entity, false);
	
	foreach (child in child_list)
	{
		child.SetTeam(newteam);
		if ( HasProp(child, "m_nSkin") ) child.SetSkin(newskin);
	}
}


class VS_COND_TEAMSWAP extends VSConds_Base
{
	function AddCond(entity,provider) {
		vsconds_swapteam(entity);
	}
	
	function RemoveCond(entity,provider) {
		vsconds_swapteam(entity);
	}
}